OpenVDB 13.0.0

Loading...
Searching...
No Matches
common.h File Reference
`#include <cmath>`
`#include <chrono>`
`#include <fstream>`
`#include <nanovdb/NanoVDB.h>`
`#include "ComputePrimitives.h"`

Go to the source code of this file.

## Macros
#define | _USE_MATH_DEFINES

## Functions
__hostdev__ uint32_t | hash (uint32_t x)
__hostdev__ float | randomf (uint32_t s)

## Macro Definition Documentation

## ◆ _USE_MATH_DEFINES

#define _USE_MATH_DEFINES

## Function Documentation

## ◆ hash()

__hostdev__ uint32_t hash | ( | uint32_t | x | ) |
| inline

## ◆ randomf()

__hostdev__ float randomf | ( | uint32_t | s | ) |
| inline